extends Control


func _ready():
#	add_items()
	$"TabContainer/Video & Audio/VBoxContainer/HBoxContainer/FullscreenButton".grab_focus()
	pass


func _on_CheckButton_pressed():
		OS.window_fullscreen = !OS.window_fullscreen

#onready var drop_down_menu = $CentreCentre/OptionButton
#func add_items():
#	drop_down_menu.add_item("800x600")
#	drop_down_menu.add_item("854x480")
#	drop_down_menu.add_item("1024x768")
#	drop_down_menu.add_item("1280x720")
##	drop_down_menu.add_item("1280x800")
	#drop_down_menu.add_item("1280x1024")
	#drop_down_menu.add_item("1366x768")
	#drop_down_menu.add_item("1440x900")
#	drop_down_menu.add_item("1600x900")
#	drop_down_menu.add_item("1600x1200")
#	drop_down_menu.add_item("1920x1080")
#	drop_down_menu.add_item("1920x1200")
#	drop_down_menu.add_item("2560x1440")
#	drop_down_menu.add_item("2560x1600")
#	drop_down_menu.add_item("3840x2160")
	


func _on_OptionButton_item_selected(index):
	var current_selected = index
	
	if current_selected == 0:
		OS.set_window_size(Vector2(800,600))
	if current_selected == 1:
		OS.set_window_size(Vector2(854,480))
	if current_selected == 2:
		OS.set_window_size(Vector2(1024,768))
	if current_selected == 3:
		OS.set_window_size(Vector2(1280,720))
	if current_selected == 4:
		OS.set_window_size(Vector2(1280,800))
	if current_selected == 5:
		OS.set_window_size(Vector2(1280,1024))
	if current_selected == 6:
		OS.set_window_size(Vector2(1366,768))
	if current_selected == 7:
		OS.set_window_size(Vector2(1440,900))
	if current_selected == 8:
		OS.set_window_size(Vector2(1600,900))
	if current_selected == 9:
		OS.set_window_size(Vector2(1600,1200))
	if current_selected == 10:
		OS.set_window_size(Vector2(1920,1080))
	if current_selected == 11:
		OS.set_window_size(Vector2(1920,1200))
	if current_selected == 12:
		OS.set_window_size(Vector2(2560,1440))
	if current_selected == 13:
		OS.set_window_size(Vector2(2560,1600))
	if current_selected == 14:
		OS.set_window_size(Vector2(3840,2160))
		
